Strengere krav for Firefox-utvidelser

Mozilla skal etter planen legge til en ny funksjon i Firefox 3.6 som beskytter nettleseren mot tilleggskoder som kan medføre programkrasj eller ustabilitet i en annen form. Slike koder kan installeres uten at brukeren er klar over dette, og uten at brukeren kan kontrollere disse via menyvalget Verktøy, Utvidelser i nettleseren. Kodene kan altså installeres på andre måter enn via Mozillas eget arkiv for utvidelser.

Den nye funksjonen, "component directory lockdown", kommer til å blokkere tilgang til en Firefox-mappe hvor mesteparten av nettleserens egne koder ligger lagret. Den nye funksjonen innebærer strengere krav for Firefox-utvidelser. Utviklerne blir nødt til lage utvidelser på filformatet XPI som er Firefox sitt eget format for utvidelser. På nettsiden developer.mozilla.org finner du veiledning for utviklere.

En av årsakene til dårlige utvidelser er ikke nødvendigvis ondsinnede utviklere, men at utvidelsene er laget for en eldre Firefox-versjon.

Firefox 3.6 beta 3 er klar

Firefox 3.6 beta 3 er allerede klar for nedlasting, og denne versjonen skal inkludere den aktuelle "directory lockdown"-funksjonen. Den foreløpig siste stabile versjonen er Firefox 3.5.5.

(Kilder: Computerworld, Mozilla)

Kommentarer (1)

Norges beste mobilabonnement

Desember 2016

Kåret av Tek-redaksjonen

Jeg bruker lite data:

ICE Mobil 1GB


Jeg bruker middels mye data:

Hello 5GB


Jeg bruker mye data:

Hello 10 GB


Jeg er superbruker:

Telia Smart Total


Finn billigste abonnement i vår mobilkalkulator

Forsiden akkurat nå

Til toppen